Subject: Re: [PATCH net-next] selftests: tc-testing: add mirred to block tdc tests

From: Jakub Kicinski <[email-masked]>
Date: Sun, 4 Feb 2024 08:33:25 -0800

On Sat, 3 Feb 2024 17:15:32 -0300 Victor Nogueira wrote:
> > I think this breaks the TDC runner.
> > I'll toss it from patchwork, I can revive it when TDC is fixed (or you
> > tell me that I'm wrong).  
> 
> Oh, I think you caught an issue with the process.
> The executor was using the release iproute2 instead of iproute2-next,
> which I tested on. I'm wondering if other tests in nipa are using
> iproute2-next or release iproute2. The issue only arises if you have
> patches in net-next that are not in the release iproute2. We will fix
> the executor shortly.

We merge iproute2 into iprout2-next locally and build the combined
thing, FWIW. I haven't solved the problem of pending patches, yet,
tho :( If the iproute2-next patches are just on the list but not
merged the new tests will fail.